//! 任务栈定义

cfg_if::cfg_if! {
    if #[cfg(aarch64_moana)] {
        const ARCH_THREAD_STACK_SIZE: usize = moa_rt_define::aarch64::THREAD_STACK_SIZE;
    } else {
        /// 线程最大栈
        const ARCH_THREAD_STACK_SIZE: usize = crate::space::mm::pgtabledef::PAGE_SIZE;
    }
}

/// 线程最大栈(仅内核使用)
pub const THREAD_STACK_SIZE: usize = ARCH_THREAD_STACK_SIZE;
